/*
    hashSum
    Copyright (C) 2011-2018 Ingemar Ceicer
    http://ceicer.org/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/


#include <QTranslator>
#include <QLocale>



#include <string>
#include "config.h"
#include "hash.h"



int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    //Font
    QString fontPath = ":/fonts/fonts/Ubuntu-M.ttf";
    int id = QFontDatabase::addApplicationFont(fontPath);
    QString family = QFontDatabase::applicationFontFamilies(id).at(0);
    QFont default_font(family);
    default_font.setPointSize(10);
    a.setFont(default_font);
    // End Font
    const QString INSTALL_DIR = QDir::toNativeSeparators(a.applicationDirPath() + "/");
    QTranslator translator;
    QString conf_file_name = QDir::toNativeSeparators("/" APPLICATION_NAME ".conf");
    Config *k = new Config(conf_file_name);
    std::string s = k->getConf("language");
    QString sprak = QString::fromStdString(s);

    if(s  == "nothing") {
        QString locale = QLocale::system().name();

        if(translator.load(INSTALL_DIR + APPLICATION_NAME + "_" + locale)) {
            a.installTranslator(&translator);
            k->setConf("language", locale.toStdString());
        } else {
            if(locale != "en_US")
                QMessageBox::information(0, APPLICATION_NAME " " VERSION, APPLICATION_NAME " is unfortunately not yet translated into your language, the program will start with English menus.");

            k->setConf("language", "en_US");
        }
    } else {
        if(translator.load(INSTALL_DIR + APPLICATION_NAME + "_" + sprak))
            a.installTranslator(&translator);
    }

    delete k;
    Hash w;
    w.show();
    return a.exec();
}
